Subject: Re: bug#56025: [WIP PATCH] 29.0.50; em-extpipe-test-2 times out on EMBA and Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Sun, 17 Jul 2022 21:26:43 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked]
> From: Jim Porter <[email-masked]>
> Date: Sun, 17 Jul 2022 10:44:26 -0700
> 
> My patch adds support for `make-process' to use a PTY only for the child 
> process's stdin or its stdout (in addition to the preexisting behaviors 
> of PTY for both or neither). This then lets Eshell request a pipe for 
> foo's stdout and bar's stdin, while using PTYs for foo's stdin and bar's 
> stdout:
> 
>    Before:
>      [pty 1] -> foo -> [pty 1] -> Eshell -> [pty 2] -> bar -> [pty 2]
> 
>    After:
>      [pty 1] -> foo -> [pipe] -> Eshell -> [pipe] -> bar -> [pty 2]

This assumes that we never want foo to behave as it does when
displaying on a terminal device.  Are we sure we will never want that?
E.g., what about the equivalent of "fgrep ... | less" -- don't we want
fgrep to produce colorized output as it does when it writes to a
terminal device?

Perhaps the use of pipes should be controllable?

Thanks.